Skip to main content

Version: 20.11 (EOL)

POST Upload Service Archive

Upload a Service Archive ZIP file into the Journey Manager server creating or updating any included service definitions.

Any existing global default type Services and existing Service Connections are preserved. However, any existing services of the same name are updated with the provided service archive.

Request​

HTTP request​

POST https://<JM_SERVER>/manager/secure/rest/service-definitions/v1/upload-service-archive/

Parameters​

This request takes no parameters.

Request body​

The multipart POST request parameters include:

  • archiveFile: Required. A service archive ZIP file.
  • clientCode: An organization client code. If not specified, the current client will be used.

Example​

This example is idealized to provide an illustration of a multipart POST request.

POST /manager/secure/rest/service-definitions/v1/upload-service-archive/ HTTP/1.1
Host: https://transact.maguire.com
Content-type: multipart/form-data, boundary=AaB03x

--AaB03x
content-disposition: form-data; name="archiveFile"; filename="service-archive-Groovy_Form_Security_Filter-2016-06-17.zip"
Content-Transfer-Encoding: binary
...
--AaB03x--
==========================

Response​

If successful, this operation returns a response with a HTTP 200 OK status code.

Example​

An example succcessful response is shown below.

{
"archiveName": "service-archive-Groovy_Form_Security_Filter-2016-06-17.zip",
"importMessage": "Imported Groovy Form Security Filter - v1 successfully.",
"importStatus": "Completed",
"importTime": "2016-06-17T16:47+1000"
}